Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
transient_heap.h File Reference
`#include "internal.h"`

Go to the source code of this file.

## Functions
void * | rb_transient_heap_alloc (VALUE obj, size_t req_size)
void | rb_transient_heap_mark (VALUE obj, const void *ptr)
void | rb_transient_heap_promote (VALUE obj)
void | rb_transient_heap_start_marking (int full_marking)
void | rb_transient_heap_finish_marking (void)
void | rb_transient_heap_update_references (void)
void | rb_transient_heap_dump (void)
void | rb_transient_heap_verify (void)
int | rb_transient_heap_managed_ptr_p (const void *ptr)
void | rb_ary_transient_heap_evacuate (VALUE ary, int promote)
void | rb_obj_transient_heap_evacuate (VALUE obj, int promote)
void | rb_hash_transient_heap_evacuate (VALUE hash, int promote)
void | rb_struct_transient_heap_evacuate (VALUE st, int promote)

## Function Documentation

## ◆ rb_ary_transient_heap_evacuate()

void rb_ary_transient_heap_evacuate | ( | VALUE | ary,
|  | int | promote
| ) |  |

Definition at line 402 of file array.c.

## ◆ rb_hash_transient_heap_evacuate()

void rb_hash_transient_heap_evacuate | ( | VALUE | hash,
|  | int | promote
| ) |  |

Definition at line 1222 of file hash.c.

## ◆ rb_obj_transient_heap_evacuate()

void rb_obj_transient_heap_evacuate | ( | VALUE | obj,
|  | int | promote
| ) |  |

Definition at line 1215 of file variable.c.

References ALLOC_N, len, obj, ROBJ_TRANSIENT_P, ROBJ_TRANSIENT_UNSET, ROBJECT_IVPTR, and ROBJECT_NUMIV.

## ◆ rb_struct_transient_heap_evacuate()

void rb_struct_transient_heap_evacuate | ( | VALUE | st,
|  | int | promote
| ) |  |

Definition at line 684 of file struct.c.

References obj, and RSTRUCT_TRANSIENT_P.

## ◆ rb_transient_heap_alloc()

void* rb_transient_heap_alloc | ( | VALUE | obj,
|  | size_t | req_size
| ) |  |

Definition at line 359 of file transient_heap.c.

## ◆ rb_transient_heap_dump()

void rb_transient_heap_dump | ( | void |  | ) |

Definition at line 152 of file transient_heap.c.

## ◆ rb_transient_heap_finish_marking()

void rb_transient_heap_finish_marking | ( | void |  | ) |

Definition at line 916 of file transient_heap.c.

## ◆ rb_transient_heap_managed_ptr_p()

int rb_transient_heap_managed_ptr_p | ( | const void * | ptr | ) |

Definition at line 506 of file transient_heap.c.

## ◆ rb_transient_heap_mark()

void rb_transient_heap_mark | ( | VALUE | obj,
|  | const void * | ptr
| ) |  |

Definition at line 529 of file transient_heap.c.

## ◆ rb_transient_heap_promote()

void rb_transient_heap_promote | ( | VALUE | obj | ) |

Definition at line 640 of file transient_heap.c.

## ◆ rb_transient_heap_start_marking()

void rb_transient_heap_start_marking | ( | int | full_marking | ) |

Definition at line 868 of file transient_heap.c.

## ◆ rb_transient_heap_update_references()

void rb_transient_heap_update_references | ( | void |  | ) |

Definition at line 853 of file transient_heap.c.

## ◆ rb_transient_heap_verify()

void rb_transient_heap_verify | ( | void |  | ) |

Definition at line 219 of file transient_heap.c.